Skip to main content
GET
/
messages
List messages
curl --request GET \
  --url https://api.pulsewave.dev/v1/messages \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "msg_3p2k9q",
      "object": "message",
      "to": "<string>",
      "from": "<string>",
      "subject": "<string>",
      "template_id": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

channel
enum<string>

Filter by delivery channel Delivery channel for a message

Available options:
email,
sms,
push
status
enum<string>

Filter by current message status Current state of a message. See Messages for the full state diagram.

Available options:
queued,
sending,
sent,
delivered,
bounced,
failed,
cancelled
to
string

Filter by recipient address or phone number

Response

A page of messages

object
enum<string>
Available options:
list
data
object[]
has_more
boolean